Simulate installment advancement

Simulates an installment advancement for an account. That is, it simulates advancing one or more installments from a future cycle to the current cycle.

To simulate advancing installments for a specific installment agreement (contract), set the condition query parameter to SINGLE_CONTRACT, and set the transaction_id query parameter to the transaction ID of any of the installments in the installment agreement. Specify the number of installments to advance in the simulation in the number_of_installments_to_advance query parameter. Installments are advanced starting with the last scheduled installment in the agreement and working backwards from there.

To simulate advancing all future installments for all installment agreements in the account, set the condition field to ALL_CONTRACTS. (In this case, the number_of_installments_to_advance field is ignored.)

When you simulate advancing installments, you must specify what to do with the interest. You have three options:

  • To simulate removing 100% of the interest on the advanced installment(s), set the remove_interest_from_current query parameter to true and the calculator query parameter to NONE.
  • To simulate advancing 100% of the interest on the advanced installment(s), set remove_interest_from_current to false and set calculator to NONE.
  • To simulate recalculating the interest applied to the advanced installments(s), set calculator to PRESENT_VALUE. The remove_interest_from_current parameter can be set to either true or false. If true, the interest on installments that were already in the current cycle (and did not need to be advanced) is recalculated in the simulation. Otherwise, interest on those installments is unchanged.

For more information, see Installment advancements.

This endpoint generates an Installment advanced event.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int64
required

Account ID

Query Params
int64

Transaction ID

string
enum
required

Indicates if all installments should be advanced (ALL_CONTRACTS) or just a single installment (SINGLE_CONTRACT).

Allowed:
boolean
Defaults to false

Indicates whether interest should be removed when an installment is advanced to the current statement. Default is false.

string
enum

Specifies the type of calculation to be applied for interest reduction when an installment is advanced to the current cycle. To recalculate the interest on advancements, set calculator to PRESENT_VALUE. Default is NONE.

Allowed:
string
enum
required

Indicates the type of rescheduling to apply. Must be set to ADVANCEMENT.

Allowed:
integer

Define the number of installments to be brought to the current statement.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json